node('master'){
  timestamps{
    tool name: 'maven35', type: 'maven'
    def mvnHome = tool 'maven35'
    maven: 'maven35'
    sh "${mvnHome}/bin/mvn --version"
    sh 'java -version'

    stage('Checkout'){
      checkout scm
      echo "Branch is: ${env.BRANCH_NAME}"
      sh "ls -alh"
    }
    stage('compile'){
      sh "${mvnHome}/bin/mvn compile"
    }
    stage('test'){
      try{
        sh "${mvnHome}/bin/mvn test"
        echo "Test Success!" 
      }
      catch (Exception e){
        echo "Test_Fail!!!"
      }
      finally{
        junit 'target/surefire-reports/*.xml'
      }
    }
    stage('Git Merge'){
      build job: 'gitmerge', parameters: [[$class:'StringParameterValue',name:'BRANCH',value:"${env.BRANCH_NAME}"]]
    }  
  }
}
